---
{%- from "zabbix/map.jinja" import zabbix with context %}
zabbix-script-dir:
  file.directory:
    - name: /etc/zabbix/scripts
    - user: {{ zabbix.agent.user }}
    - group: {{ zabbix.agent.group }}

{% for key, value in zabbix.agent.scripts.items() -%}
zabbix-script-{{ key }}:
  file.managed:
    - name: /etc/zabbix/scripts/{{ value.name }}
    - source: salt://zabbix/scripts/{{ value.name }}
    - user: {{ zabbix.agent.user }}
    - group: {{ zabbix.agent.group }}
    - mode: 0755
{% endfor -%}
